<?php
/**
 * This file is part of the "gridgallery" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 */

namespace Lavitto\Gridgallery\ViewHelpers;

use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * Class ProductViewHelper
 *
 * Calculates the product of two integers
 *
 * @package Lavitto\Gridgallery\ViewHelpers
 */
class ProductViewHelper extends AbstractViewHelper
{

    /**
     * Initialize arguments.
     *
     * @return void
     */
    public function initializeArguments(): void
    {
        $this->registerArgument(
            'a',
            'string',
            'first number',
            true
        );
        $this->registerArgument(
            'b',
            'string',
            'second number'
        );
    }

    /**
     * Calculates the product of a and b
     *
     * @return int
     */
    public function render(): int
    {
        $a = (int)$this->arguments['a'];
        $b = (int)$this->arguments['b'];
        return $a * $b;
    }
}
