<?php
/**
 * This file is part of the "gridgallery" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 */

namespace Lavitto\Gridgallery\ViewHelpers;

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * Class RelativePathViewHelper
 *
 * Returns the relative path to the TYPO3-Installation of an absolute to webroot path
 *
 * Example: {lo:relativePath(path: filePath)}
 *
 * @package Lavitto\Gridgallery\ViewHelpers
 */
class RelativePathViewHelper extends AbstractViewHelper
{

    /**
     * Initialize the property-argument
     */
    public function initializeArguments(): void
    {
        $this->registerArgument(
            'path',
            'string',
            'The relative path from f:uri.image',
            true
        );
    }

    /**
     * Returns the relative path to the TYPO3-Installation of an absolute to webroot path
     *
     * @return string
     */
    public function render(): string
    {
        return ltrim($this->arguments['path'], GeneralUtility::getIndpEnv('TYPO3_SITE_PATH'));
    }
}
